﻿using FLY.OBJComponents.Client;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.Base.UI
{

    /// <summary>
    /// 报警服务 的带设备名称 版本
    /// </summary>
    public class WarningSystem2ServiceClientWithName : WarningSystem2ServiceClient
    {
        public string DevName { get; private set; }

        public WarningSystem2ServiceClientWithName(UInt32 serviceId, string devName) : base(serviceId)
        {
            DevName = devName;
        }

        public WarningSystem2ServiceClientWithName(UInt32 serviceId, string connName, string devName) : base(serviceId, connName)
        {
            DevName = devName;
        }
    }
}
