﻿using FObjBase;
using FObjBase.Reflect;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace FLY.Thick.Base.IService
{
    /// <summary>
    /// 定点测量服务
    /// </summary>
    public interface IFixService : INotifyPropertyChanged
    {
        DateTime UpdateTime { get; }

        [Call(typeof(GetFixDatasReponse))]
        void GetFixDatas(AsyncCBHandler asyncDelegate, object asyncContext);
    }


    public class GetFixDatasReponse
    {
        /// <summary>
        /// 数据, AD数据！！！！！
        /// </summary>
        public int[] ADs;
        /// <summary>
        /// 数据, 厚度数据！！！！！
        /// </summary>
        public double[] thicks;
        /// <summary>
        /// 单数据时间间隔
        /// </summary>
        public TimeSpan ts;
        /// <summary>
        /// 开始时间点
        /// </summary>
        public DateTime time;
    }
}
